#!/usr/bin/env python

import getopt, sys
import IRCClients

def usage ():
   print sys.argv[0], "[-n nick] [-c channel] [-r realname] [-s server] [-h]"


def main ():

   nick    = "arcadebot"
   channel = "#testfu"
   real    = "Arcade Movie Service"
   server  = "irc.gimp.org"

   opts = None
   try:
      opts, args = getopt.getopt (sys.argv[1:], "n:c:s:r:h",
                                  ["nick", "channel", "server",
                                   "realname", "help"])
   except getopt.GetoptError:
      usage ()
      sys.exit (2)

   for o, a in opts:
      if o in ("-n", "--nick"):
         nick = a
      if o in ("-c", "--channel"):
         channel = "#" + a.replace ("#","")
      if o in ("-r", "--realname"):
         real = a
      if o in ("-s", "--server"):
         server = a
      if o in ("-h", "--help"):
         usage ()
         sys.exit (0)

   bot = IRCClients.IRCBot (server)
   bot.debuglevel = 0
   bot.login(nick, username = nick, realname = real)
   bot.join (channel)


   # Add these for basic chatting/administration tasks...

   # bot.load_module ("maintenance")
   # bot.load_module ("console")
   # bot.load_module ("consolechat")

   bot.load_module ("logwatcher")

   bot.mainloop ()

if __name__=='__main__':
   main ()
