#!/usr/bin/env python

import string, sys, select

from IRCEvents import create_reaction, create_ctcp
from botutils import textformat


def get_handlers (bot):
   return [
      create_reaction (".*", print_message),
      create_ctcp (".+", ctcp),
   ]


def ctcp (msg):
   print "CTCP %s received" % msg.ctcp


def print_message (msg):
   if msg.type == "PRIVMSG":
      text = string.strip (msg.text)
      if text[0:8] == "\x01ACTION " and text[-1] == "\x01":
         lines = textformat (text[8:-1])
         print "\x1B[1;39m%s\x1B[0;37m" % ("%12s | %s" % ("a " + msg.nick, lines[0]))
         for i in lines[1:]:
            print "\x1B[1;39m%s\x1B[0;37m" % (" " * 15 + i)
      else:
         lines = textformat (text)
         print "\x1B[1;39m%s\x1B[0;37m" % ("%12s > %s" % (msg.nick, lines[0]))
         for i in lines[1:]:
            print "\x1B[1;39m%s\x1B[0;37m" % (" " * 15 + i)
   else:
      print msg


