#!/usr/bin/env python

import string


def get_commands (bot):
   return {
      "debug": debug,
      "die": die,
      "load": load_modules,
      "reload": reload_all,
      "unload": unload_modules,
      "modules": show_modules,
   }


def is_authenticated (msg):
   if msg and msg.hostname[-13:] == "uni-siegen.de":
      return 1
   return 0


def debug (msg, args):
   if not is_authenticated (msg): return

   text = args.strip ()
   while text[-1] == "-":
      msg.client.debuglevel = msg.client.debuglevel - 1
      text = text[:-1]
   while text[-1] == "+":
      msg.client.debuglevel = msg.client.debuglevel + 1
      text = text[:-1]
   msg.client.privmsg (msg.nick, "Debuglevel: %d" % msg.client.debuglevel)


def die (msg, args):
   if not is_authenticated (msg): return

   msg.client.privmsg (msg.replyto, "Yeth, marther!")
   msg.client.stop (args.strip ())


def reload_all (msg, args):
   if not is_authenticated (msg): return

   if msg.client.reload_all ():
      msg.client.privmsg (msg.replyto, "Yeth, marther!")
   else:
      msg.client.privmsg (msg.replyto, "Oopth, marther!")


def load_modules (msg, args):
   if not is_authenticated (msg): return

   modulenames = string.split (args)
   success = ""
   failed = ""
   
   for name in modulenames:
      if msg.client.load_module (name):
         success += " " + name
      else:
         failed += " " + name
      
   if success:
      msg.client.privmsg (msg.nick, "Successful:" + success)
   if failed:
      msg.client.privmsg (msg.nick, "Failed:" + failed)
   

def unload_modules (msg, args):
   if not is_authenticated (msg): return

   modulenames = string.split (args)
   success = ""
   failed = ""
   
   for name in modulenames:
      msg.client.unload_module (name)
      
   msg.client.privmsg (msg.replyto, "Yeth, marther!")
   

def show_modules (msg, args):
   if not is_authenticated (msg): return

   names = msg.client.modules.keys ()
   names.sort ()
      
   msg.client.privmsg (msg.nick, "active modules: " + " ".join (names))
   

